Bug 35792 - Launching HTTP monitor causes deadlock
Launching HTTP monitor causes deadlock
Status: RESOLVED FIXED
Product: javaee
Classification: Unclassified
Component: HTTP Monitor
3.x
All All
: P3 (vote)
: 3.x
Assigned To: Ana.von Klopp
issues@javaee
: THREAD
: 38236 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-26 17:04 UTC by Ana.von Klopp
Modified: 2004-01-05 19:04 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Code changes (3.18 KB, text/plain)
2004-01-05 19:04 UTC, Ana.von Klopp
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ana.von Klopp 2003-08-26 17:04:30 UTC
Description: 
I created a simple JSP.
I hit Execute the Web-INF.
When the progress dialog was up saying it is trying to deploy to internal 
tomcat, I did Debug->HTTP Monitor.
Deadlocked. See the stack trace.
xxx@xxxx 2003-08-21

Full thread dump Java HotSpot(TM) Client VM (1.4.1_02-b06 mixed mode):

"Thread-18" daemon prio=1 tid=0x0x521f7ee8 nid=0x15d1 waiting for monitor entry 
[bb3ff000..bb3ff880]
        at java.awt.KeyboardFocusManager.
clearMostRecentFocusOwner(KeyboardFocusManager.java:1630)
        - waiting to lock <0x44a55100> (a java.awt.Component$AWTTreeLock)
        at java.awt.Component.setFocusable(Component.java:5693)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.
java:39)
        at sun.reflect.DelegatingMethodAccessorImpl.
invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:324)
        at org.openide.windows.TopComponent.<init>(TopComponent.java:132)
        at org.openide.windows.CloneableTopComponent.
<init>(CloneableTopComponent.java:41)
        at org.openide.awt.HtmlBrowser$BrowserComponent.<init>(HtmlBrowser.java:
640)
        at org.netbeans.modules.web.core.LanguageDescriptor.
getWebBrowser(LanguageDescriptor.java:71)
        at org.netbeans.modules.web.core.WebExecUtil.showInBrowser(WebExecUtil.
java:115)
        at org.netbeans.modules.web.core.WebExecUtil.
waitAndShowInBrowser(WebExecUtil.java:90)
        at org.netbeans.modules.web.core.WebExecUtil$1.run(WebExecUtil.java:51)
        at java.lang.Thread.run(Thread.java:536)

"CopyMaker" daemon prio=1 tid=0x0x521b67a8 nid=0x15ca runnable [bb5ff000..
bb5ff880]
        at java.io.FileInputStream.readBytes(Native Method)
        at java.io.FileInputStream.read(FileInputStream.java:191)
        at java.io.BufferedInputStream.read1(BufferedInputStream.java:220)
        at java.io.BufferedInputStream.read(BufferedInputStream.java:277)
        - locked <0x46718320> (a java.io.BufferedInputStream)
        at sun.nio.cs.StreamDecoder$CharsetSD.readBytes(StreamDecoder.java:406)
        at sun.nio.cs.StreamDecoder$CharsetSD.implRead(StreamDecoder.java:446)
        at sun.nio.cs.StreamDecoder.read(StreamDecoder.java:180)
        - locked <0x467183d8> (a java.io.InputStreamReader)
        at java.io.InputStreamReader.read(InputStreamReader.java:167)
        at java.io.BufferedReader.fill(BufferedReader.java:136)
        at java.io.BufferedReader.readLine(BufferedReader.java:299)
        - locked <0x467183d8> (a java.io.InputStreamReader)
        at java.io.BufferedReader.readLine(BufferedReader.java:362)
        at org.netbeans.modules.j2ee.impl.
DefaultServerInstanceManager$CopyMaker.run(DefaultServerInstanceManager.java:
372)

"CopyMaker" daemon prio=1 tid=0x0x521b1eb8 nid=0x15c9 runnable [bb7ff000..
bb7ff880]
        at java.io.FileInputStream.readBytes(Native Method)
        at java.io.FileInputStream.read(FileInputStream.java:191)
        at java.io.SequenceInputStream.read(SequenceInputStream.java:173)
        at java.io.SequenceInputStream.read(SequenceInputStream.java:176)
        at sun.nio.cs.StreamDecoder$CharsetSD.readBytes(StreamDecoder.java:406)
        at sun.nio.cs.StreamDecoder$CharsetSD.implRead(StreamDecoder.java:446)
        at sun.nio.cs.StreamDecoder.read(StreamDecoder.java:180)
        - locked <0x4671a580> (a java.io.InputStreamReader)
        at java.io.InputStreamReader.read(InputStreamReader.java:167)
        at java.io.BufferedReader.fill(BufferedReader.java:136)
        at java.io.BufferedReader.readLine(BufferedReader.java:299)
        - locked <0x4671a580> (a java.io.InputStreamReader)
        at java.io.BufferedReader.readLine(BufferedReader.java:362)
        at org.netbeans.modules.j2ee.impl.
DefaultServerInstanceManager$CopyMaker.run(DefaultServerInstanceManager.java:
372)

"exec_Internal Tomcat (JWSDP 1.0_01) [localhost:8081]_1" daemon prio=1 
tid=0x0x5217a698 nid=0x15c3 waiting on condition [bbbff000..bbbff880]
        at java.lang.Thread.sleep(Native Method)
        at org.netbeans.modules.j2ee.impl.
DefaultServerInstanceManager$EmptyThread.run(DefaultServerInstanceManager.java:
429)
        at org.netbeans.core.execution.RunClassThread.run(RunClassThread.java:
118)

"Thread-15" daemon prio=1 tid=0x0x521b5f60 nid=0x15c2 in Object.wait() 
[bbdff000..bbdff880]
        at java.lang.Object.wait(Native Method)
        - waiting on <0x4671a780> (a java.lang.UNIXProcess)
        at java.lang.Object.wait(Object.java:426)
        at java.lang.UNIXProcess.waitFor(UNIXProcess.java:160)
        - locked <0x4671a780> (a java.lang.UNIXProcess)
        at org.netbeans.modules.tomcat.tomcat40.
Tomcat40Installation$WaitingThread.run(Tomcat40Installation.java:1353)

"process reaper" daemon prio=1 tid=0x0x521f1358 nid=0x15c0 runnable [bc7ff000..
bc7ff880]
        at java.lang.UNIXProcess.waitForProcessExit(Native Method)
        at java.lang.UNIXProcess.access$1500(UNIXProcess.java:20)
        at java.lang.UNIXProcess$2.run(UNIXProcess.java:127)

"Thread-14" daemon prio=1 tid=0x0x55de3218 nid=0x15bf in Object.wait() 
[bbfff000..bbfff880]
        at java.lang.Object.wait(Native Method)
        - waiting on <0x466d2078> (a org.apache.tomcat.util.
ThreadPool$MonitorRunnable)
        at org.apache.tomcat.util.ThreadPool$MonitorRunnable.run(ThreadPool.
java:390)
        - locked <0x466d2078> (a org.apache.tomcat.util.
ThreadPool$MonitorRunnable)
        at java.lang.Thread.run(Thread.java:536)

"Thread-13" daemon prio=1 tid=0x0x55e53a58 nid=0x15be runnable [bc1ff000..
bc1ff880]
        at java.net.PlainSocketImpl.socketAccept(Native Method)
        at java.net.PlainSocketImpl.accept(PlainSocketImpl.java:353)
        - locked <0x466d20e8> (a java.net.PlainSocketImpl)
        at java.net.ServerSocket.implAccept(ServerSocket.java:439)
        at java.net.ServerSocket.accept(ServerSocket.java:410)
        at org.apache.tomcat.service.PoolTcpEndpoint.
acceptSocket(PoolTcpEndpoint.java:286)
        at org.apache.tomcat.service.TcpWorkerThread.runIt(PoolTcpEndpoint.java:
402)
        at org.apache.tomcat.util.ThreadPool$ControlRunnable.run(ThreadPool.
java:498)
        at java.lang.Thread.run(Thread.java:536)

"StandardManager" daemon prio=1 tid=0x0x55d5acf8 nid=0x15bd waiting on condition 
[bc3ff000..bc3ff880]
        at java.lang.Thread.sleep(Native Method)
        at org.apache.tomcat.session.StandardManager.
threadSleep(StandardManager.java:490)
        at org.apache.tomcat.session.StandardManager.run(StandardManager.java:
547)
        at java.lang.Thread.run(Thread.java:536)

"Thread-12" daemon prio=1 tid=0x0x82de158 nid=0x15bc in Object.wait() [bc5ff000.
.bc5ff880]
        at java.lang.Object.wait(Native Method)
        - waiting on <0x466d22e0> (a org.apache.tomcat.util.Queue)
        at java.lang.Object.wait(Object.java:426)
        at org.apache.tomcat.util.Queue.pull(Queue.java:89)
        - locked <0x466d22e0> (a org.apache.tomcat.util.Queue)
        at org.apache.tomcat.logging.LogDaemon$1.run(TomcatLogger.java:238)
        at org.apache.tomcat.logging.LogDaemon.run(TomcatLogger.java:254)

"Thread-11" daemon prio=1 tid=0x0x4f43ed08 nid=0x15ba waiting on condition 
[bcfff000..bcfff880]
        at java.lang.Thread.sleep(Native Method)
        at org.netbeans.modules.tomcat.tomcat40.Tomcat40DataObject$LogThread.
run(Tomcat40DataObject.java:1275)

"Thread-10" daemon prio=1 tid=0x0x52178408 nid=0x15b9 waiting on condition 
[be9ff000..be9ff880]
        at java.lang.Thread.sleep(Native Method)
        at org.netbeans.modules.tomcat.tomcat40.Tomcat40DataObject$LogThread.
run(Tomcat40DataObject.java:1275)

"Compilation" daemon prio=1 tid=0x0x55d055e8 nid=0x15ab in Object.wait() 
[bc9ff000..bc9ff880]
        at java.lang.Object.wait(Native Method)
        - waiting on <0x4572d210> (a java.util.LinkedList)
        at java.lang.Object.wait(Object.java:426)
        at org.netbeans.core.compiler.CompilationEngineImpl$CompilerThread.
nextJobAndTask(CompilationEngineImpl.java:162)
        - locked <0x4572d210> (a java.util.LinkedList)
        at org.netbeans.core.compiler.CompilationEngineImpl$CompilerThread.
run(CompilationEngineImpl.java:175)

"Module-Actions" daemon prio=1 tid=0x0x849b990 nid=0x1597 waiting for monitor 
entry [bcbff000..bcbff880]         at org.netbeans.core.windows.frames.
DefaultContainerImpl.setSelectedTopComponent(DefaultContainerImpl.java:934)
        - waiting to lock <0x4561c908> (a java.lang.Object)
        at org.netbeans.core.windows.frames.SplitContainerImpl.
componentFocusGained(SplitContainerImpl.java:1581)
        at org.netbeans.core.windows.frames.DefaultContainerImpl.
eventDispatched(DefaultContainerImpl.java:1282)
        at java.awt.Toolkit$SelectiveAWTEventListener.eventDispatched(Toolkit.
java:2118)
        at java.awt.Toolkit$ToolkitEventMulticaster.eventDispatched(Toolkit.
java:2012)
        at java.awt.Toolkit$ToolkitEventMulticaster.eventDispatched(Toolkit.
java:2011)
        at java.awt.Toolkit$ToolkitEventMulticaster.eventDispatched(Toolkit.
java:2011)
        at java.awt.Toolkit.notifyAWTEventListeners(Toolkit.java:1970)
        at java.awt.Component.dispatchEventImpl(Component.java:3554)
        at java.awt.Container.dispatchEventImpl(Container.java:1623)
        at java.awt.Component.dispatchEvent(Component.java:3480)
        at java.awt.KeyboardFocusManager.redispatchEvent(KeyboardFocusManager.
java:1688)
        at java.awt.DefaultKeyboardFocusManager.
typeAheadAssertions(DefaultKeyboardFocusManager.java:725)        at java.awt.
DefaultKeyboardFocusManager.dispatchEvent(DefaultKeyboardFocusManager.java:428)
        at java.awt.Component.dispatchEventImpl(Component.java:3509)
        at java.awt.Container.dispatchEventImpl(Container.java:1623)
        at java.awt.Component.dispatchEvent(Component.java:3480)
        at java.awt.KeyboardFocusManager.
retargetFocusEvent(KeyboardFocusManager.java:2380)
        at java.awt.Component.dispatchEventImpl(Component.java:3504)
        at java.awt.Container.dispatchEventImpl(Container.java:1623)
        at java.awt.Component.dispatchEvent(Component.java:3480)
        at java.awt.Container.addImpl(Container.java:675)
        - locked <0x44a55100> (a java.awt.Component$AWTTreeLock)
        at javax.swing.JTabbedPane.insertTab(JTabbedPane.java:569)
        at javax.swing.JTabbedPane.addTab(JTabbedPane.java:641)
        at org.netbeans.modules.web.monitor.client.TransactionView.
createDataPanel(TransactionView.java:516)
        at org.netbeans.modules.web.monitor.client.TransactionView.
initialize(TransactionView.java:200)
        at org.netbeans.modules.web.monitor.client.TransactionView.
<init>(TransactionView.java:171)
        at org.netbeans.modules.web.monitor.client.MonitorAction.
performAction(MonitorAction.java:72)
        at org.openide.util.actions.CallableSystemAction.
actionPerformed(CallableSystemAction.java:69)
        at org.netbeans.core.ModuleActions$1.run(ModuleActions.java:97)
        at org.openide.util.Task.run(Task.java:136)
        at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:328)
        at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.
java:670)

"TimerQueue" daemon prio=1 tid=0x0x85cfe78 nid=0x1596 in Object.wait() 
[bcdff000..bcdff880]
        at java.lang.Object.wait(Native Method)
        - waiting on <0x4519dbe8> (a javax.swing.TimerQueue)
        at javax.swing.TimerQueue.run(TimerQueue.java:231)
        - locked <0x4519dbe8> (a javax.swing.TimerQueue)
        at java.lang.Thread.run(Thread.java:536)

"Inactive RequestProcessor thread" daemon prio=1 tid=0x0x4f4256a0 nid=0x1594 in 
Object.wait() [bd1ff000..bd1ff880]
        at java.lang.Object.wait(Native Method)
        - waiting on <0x45184c18> (a java.lang.Object)
        at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.
java:644)
        - locked <0x45184c18> (a java.lang.Object)

"Inactive RequestProcessor thread" daemon prio=1 tid=0x0x4f434258 nid=0x1593 in 
Object.wait() [bd3ff000..bd3ff880]
        at java.lang.Object.wait(Native Method)
        - waiting on <0x450ae830> (a java.lang.Object)
        at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.
java:644)
        - locked <0x450ae830> (a java.lang.Object)

"Inactive RequestProcessor thread" daemon prio=1 tid=0x0x851e0c8 nid=0x1592 in 
Object.wait() [bdfff000..bdfff880]
        at java.lang.Object.wait(Native Method)
        - waiting on <0x44f61188> (a java.lang.Object)
        at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.
java:644)
        - locked <0x44f61188> (a java.lang.Object)

"Thread-4" prio=1 tid=0x0x84d40f8 nid=0x1591 waiting on condition [bd5ff000..
bd5ff880]
        at java.lang.Thread.sleep(Native Method)
        at com.sun.ffj.modules.licensemgr.LMsnCheck.sleepForSomeDays(LMsnCheck.
java:183)
        at com.sun.ffj.modules.licensemgr.LMsnCheck.run(LMsnCheck.java:110)

"Inactive RequestProcessor thread" daemon prio=1 tid=0x0x4f4ef378 nid=0x158f in 
Object.wait() [bd7ff000..bd7ff880]
        at java.lang.Object.wait(Native Method)
        - waiting on <0x44dd5cd0> (a java.lang.Object)
        at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.
java:644)
        - locked <0x44dd5cd0> (a java.lang.Object)

"Thread-2" daemon prio=1 tid=0x0x4e3f6388 nid=0x158e in Object.wait() [bd9ff000.
.bd9ff880]
        at java.lang.Object.wait(Native Method)
        - waiting on <0x44a90dc8> (a java.util.TaskQueue)
        at java.util.TimerThread.mainLoop(Timer.java:429)
        - locked <0x44a90dc8> (a java.util.TaskQueue)
        at java.util.TimerThread.run(Timer.java:382)

"AWT-EventQueue-0" prio=1 tid=0x0x8182ef0 nid=0x158d waiting for monitor entry 
[bdbfe000..bdbff880]
        at java.awt.Component.invalidate(Component.java:2118)
        - waiting to lock <0x44a55100> (a java.awt.Component$AWTTreeLock)
        at java.awt.Container.invalidate(Container.java:1035)
        at javax.swing.JComponent.revalidate(JComponent.java:4388)
        at javax.swing.AbstractButton.setText(AbstractButton.java:226)
        at javax.swing.plaf.metal.MetalDesktopIconUI$TitleListener.
propertyChange(MetalDesktopIconUI.java:120)
        at javax.swing.event.SwingPropertyChangeSupport.
firePropertyChange(SwingPropertyChangeSupport.java:264)
        at javax.swing.event.SwingPropertyChangeSupport.
firePropertyChange(SwingPropertyChangeSupport.java:232)
        at javax.swing.JComponent.firePropertyChange(JComponent.java:3814)
        at javax.swing.JInternalFrame.setTitle(JInternalFrame.java:991)
        at org.netbeans.core.windows.ModeImpl.updateTitle(ModeImpl.java:2271)
        at org.netbeans.core.windows.frames.DefaultContainerImpl.
setSelectedTopComponent(DefaultContainerImpl.java:936)
        - locked <0x4561c908> (a java.lang.Object)
        at org.netbeans.core.windows.frames.DefaultContainerImpl.
requestFocus(DefaultContainerImpl.java:693)
        at org.netbeans.core.windows.ModeImpl.doRequestFocus(ModeImpl.java:993)
        at org.netbeans.core.windows.ModeImpl.requestFocus(ModeImpl.java:952)
        at org.netbeans.core.windows.
WindowManagerImpl$TopComponentManager$DoRequest.requestFocus(WindowManagerImpl.
java:1960)
        at org.netbeans.core.windows.
WindowManagerImpl$TopComponentManager$DoRequest.run(WindowManagerImpl.java:1982)
        at org.netbeans.core.windows.WindowManagerImpl$TopComponentManager.
requestFocus(WindowManagerImpl.java:1699)
        at org.openide.windows.TopComponent.requestFocus(TopComponent.java:452)
        at org.netbeans.core.windows.frames.DefaultContainerImpl.
reactivateSelectedComponent(DefaultContainerImpl.java:1102)
        at org.netbeans.core.windows.frames.SplitContainerImpl.
componentFocusGained(SplitContainerImpl.java:1582)
        at org.netbeans.core.windows.frames.DefaultContainerImpl.
eventDispatched(DefaultContainerImpl.java:1282)
        at java.awt.Toolkit$SelectiveAWTEventListener.eventDispatched(Toolkit.
java:2118)
        at java.awt.Toolkit$ToolkitEventMulticaster.eventDispatched(Toolkit.
java:2012)
        at java.awt.Toolkit$ToolkitEventMulticaster.eventDispatched(Toolkit.
java:2011)
        at java.awt.Toolkit$ToolkitEventMulticaster.eventDispatched(Toolkit.
java:2011)
        at java.awt.Toolkit.notifyAWTEventListeners(Toolkit.java:1970)
        at java.awt.Component.dispatchEventImpl(Component.java:3554)
        at java.awt.Container.dispatchEventImpl(Container.java:1623)
        at java.awt.Component.dispatchEvent(Component.java:3480)
        at java.awt.KeyboardFocusManager.redispatchEvent(KeyboardFocusManager.
java:1688)
        at java.awt.DefaultKeyboardFocusManager.
typeAheadAssertions(DefaultKeyboardFocusManager.java:725)        at java.awt.
DefaultKeyboardFocusManager.dispatchEvent(DefaultKeyboardFocusManager.java:428)
        at java.awt.Component.dispatchEventImpl(Component.java:3509)
        at java.awt.Container.dispatchEventImpl(Container.java:1623)
        at java.awt.Component.dispatchEvent(Component.java:3480)
        at java.awt.EventQueue.dispatchEvent(EventQueue.java:450)
        at java.awt.EventDispatchThread.
pumpOneEventForHierarchy(EventDispatchThread.java:197)
        at java.awt.EventDispatchThread.
pumpEventsForHierarchy(EventDispatchThread.java:150)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:144)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:136)
        at java.awt.EventDispatchThread.run(EventDispatchThread.java:99)

"Java2D Disposer" daemon prio=1 tid=0x0x8169a28 nid=0x158c in Object.wait() 
[bddff000..bddff880]
        at java.lang.Object.wait(Native Method)
        - waiting on <0x44a90ee0> (a java.lang.ref.ReferenceQueue$Lock)
        at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:111)
        - locked <0x44a90ee0> (a java.lang.ref.ReferenceQueue$Lock)
        at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:127)
        at sun.java2d.Disposer.run(Disposer.java:97)
        at java.lang.Thread.run(Thread.java:536)

"AWT-Motif" daemon prio=1 tid=0x0x8163920 nid=0x158a runnable [be1ff000..
be1ff880]
        at sun.awt.motif.MToolkit.run(Native Method)
        at java.lang.Thread.run(Thread.java:536)

"AWT-Shutdown" prio=1 tid=0x0x8145e38 nid=0x1589 in Object.wait() [be3ff000..
be3ff880]
        at java.lang.Object.wait(Native Method)
        - waiting on <0x44a540d8> (a java.lang.Object)
        at java.lang.Object.wait(Object.java:426)
        at sun.awt.AWTAutoShutdown.run(AWTAutoShutdown.java:259)
        - locked <0x44a540d8> (a java.lang.Object)
        at java.lang.Thread.run(Thread.java:536)

"Active Reference Queue Daemon" daemon prio=1 tid=0x0x81273c0 nid=0x1588 in 
Object.wait() [be5ff000..be5ff880]
        at java.lang.Object.wait(Native Method)
        - waiting on <0x44a54148> (a java.lang.ref.ReferenceQueue$Lock)
        at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:111)
        - locked <0x44a54148> (a java.lang.ref.ReferenceQueue$Lock)
        at org.openide.util.Utilities$ActiveQueue.run(Utilities.java:2420)
        at java.lang.Thread.run(Thread.java:536)

"Thread-1" daemon prio=1 tid=0x0x81241a0 nid=0x1587 in Object.wait() [be7ff000..
be7ff880]
        at java.lang.Object.wait(Native Method)
        - waiting on <0x44a541c0> (a java.util.TaskQueue)
        at java.util.TimerThread.mainLoop(Timer.java:429)
        - locked <0x44a541c0> (a java.util.TaskQueue)
        at java.util.TimerThread.run(Timer.java:382)

"DestroyJavaVM" prio=1 tid=0x0x4e3fc4d8 nid=0x157d waiting on condition [0..
bfffb1fc]

"Signal Dispatcher" daemon prio=1 tid=0x0x4e305350 nid=0x1584 waiting on 
condition [0..0]

"Finalizer" daemon prio=1 tid=0x0x4e300540 nid=0x1581 in Object.wait() 
[bf3ff000..bf3ff880]
        at java.lang.Object.wait(Native Method)
        - waiting on <0x449dbb30> (a java.lang.ref.ReferenceQueue$Lock)
        at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:111)
        - locked <0x449dbb30> (a java.lang.ref.ReferenceQueue$Lock)
        at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:127)
        at java.lang.ref.Finalizer$FinalizerThread.run(Finalizer.java:159)

"Reference Handler" daemon prio=1 tid=0x0x80860c8 nid=0x1580 in Object.wait() 
[bf5ff000..bf5ff880]
        at java.lang.Object.wait(Native Method)
        - waiting on <0x449db9e8> (a java.lang.ref.Reference$Lock)
        at java.lang.Object.wait(Object.java:426)
        at java.lang.ref.Reference$ReferenceHandler.run(Reference.java:113)
        - locked <0x449db9e8> (a java.lang.ref.Reference$Lock)

"VM Thread" prio=1 tid=0x0x8082e88 nid=0x157f runnable

"VM Periodic Task Thread" prio=1 tid=0x0x4e303fa8 nid=0x1582 waiting on 
condition
"Suspend Checker Thread" prio=1 tid=0x0x4e304970 nid=0x1583 runnable

Found one Java-level deadlock:
=============================
"Module-Actions":
  waiting to lock monitor 0x808710c (object 0x4561c908, a java.lang.Object),
  which is held by "AWT-EventQueue-0"
"AWT-EventQueue-0":
  waiting to lock monitor 0x808717c (object 0x44a55100, a java.awt.
Component$AWTTreeLock),
  which is held by "Module-Actions"

Java stack information for the threads listed above:
===================================================
"Module-Actions":
        at org.netbeans.core.windows.frames.DefaultContainerImpl.
setSelectedTopComponent(DefaultContainerImpl.java:934)
        - waiting to lock <0x4561c908> (a java.lang.Object)
        at org.netbeans.core.windows.frames.SplitContainerImpl.
componentFocusGained(SplitContainerImpl.java:1581)
        at org.netbeans.core.windows.frames.DefaultContainerImpl.
eventDispatched(DefaultContainerImpl.java:1282)
        at java.awt.Toolkit$SelectiveAWTEventListener.eventDispatched(Toolkit.
java:2118)
        at java.awt.Toolkit$ToolkitEventMulticaster.eventDispatched(Toolkit.
java:2012)
        at java.awt.Toolkit$ToolkitEventMulticaster.eventDispatched(Toolkit.
java:2011)
        at java.awt.Toolkit$ToolkitEventMulticaster.eventDispatched(Toolkit.
java:2011)
        at java.awt.Toolkit.notifyAWTEventListeners(Toolkit.java:1970)
        at java.awt.Component.dispatchEventImpl(Component.java:3554)
        at java.awt.Container.dispatchEventImpl(Container.java:1623)
        at java.awt.Component.dispatchEvent(Component.java:3480)
        at java.awt.KeyboardFocusManager.redispatchEvent(KeyboardFocusManager.
java:1688)
        at java.awt.DefaultKeyboardFocusManager.
typeAheadAssertions(DefaultKeyboardFocusManager.java:725)        at java.awt.
DefaultKeyboardFocusManager.dispatchEvent(DefaultKeyboardFocusManager.java:428)
        at java.awt.Component.dispatchEventImpl(Component.java:3509)
        at java.awt.Container.dispatchEventImpl(Container.java:1623)
        at java.awt.Component.dispatchEvent(Component.java:3480)
        at java.awt.KeyboardFocusManager.
retargetFocusEvent(KeyboardFocusManager.java:2380)
        at java.awt.Component.dispatchEventImpl(Component.java:3504)
        at java.awt.Container.dispatchEventImpl(Container.java:1623)
        at java.awt.Component.dispatchEvent(Component.java:3480)
        at java.awt.Container.addImpl(Container.java:675)
        - locked <0x44a55100> (a java.awt.Component$AWTTreeLock)
        at javax.swing.JTabbedPane.insertTab(JTabbedPane.java:569)
        at javax.swing.JTabbedPane.addTab(JTabbedPane.java:641)
        at org.netbeans.modules.web.monitor.client.TransactionView.
createDataPanel(TransactionView.java:516)
        at org.netbeans.modules.web.monitor.client.TransactionView.
initialize(TransactionView.java:200)
        at org.netbeans.modules.web.monitor.client.TransactionView.
<init>(TransactionView.java:171)
        at org.netbeans.modules.web.monitor.client.MonitorAction.
performAction(MonitorAction.java:72)
        at org.openide.util.actions.CallableSystemAction.
actionPerformed(CallableSystemAction.java:69)
        at org.netbeans.core.ModuleActions$1.run(ModuleActions.java:97)
        at org.openide.util.Task.run(Task.java:136)
        at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:328)
        at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.
java:670)
"AWT-EventQueue-0":
        at java.awt.Component.invalidate(Component.java:2118)
        - waiting to lock <0x44a55100> (a java.awt.Component$AWTTreeLock)
        at java.awt.Container.invalidate(Container.java:1035)
        at javax.swing.JComponent.revalidate(JComponent.java:4388)
        at javax.swing.AbstractButton.setText(AbstractButton.java:226)
        at javax.swing.plaf.metal.MetalDesktopIconUI$TitleListener.
propertyChange(MetalDesktopIconUI.java:120)
        at javax.swing.event.SwingPropertyChangeSupport.
firePropertyChange(SwingPropertyChangeSupport.java:264)
        at javax.swing.event.SwingPropertyChangeSupport.
firePropertyChange(SwingPropertyChangeSupport.java:232)
        at javax.swing.JComponent.firePropertyChange(JComponent.java:3814)
        at javax.swing.JInternalFrame.setTitle(JInternalFrame.java:991)
        at org.netbeans.core.windows.ModeImpl.updateTitle(ModeImpl.java:2271)
        at org.netbeans.core.windows.frames.DefaultContainerImpl.
setSelectedTopComponent(DefaultContainerImpl.java:936)
        - locked <0x4561c908> (a java.lang.Object)
        at org.netbeans.core.windows.frames.DefaultContainerImpl.
requestFocus(DefaultContainerImpl.java:693)
        at org.netbeans.core.windows.ModeImpl.doRequestFocus(ModeImpl.java:993)
        at org.netbeans.core.windows.ModeImpl.requestFocus(ModeImpl.java:952)
        at org.netbeans.core.windows.
WindowManagerImpl$TopComponentManager$DoRequest.requestFocus(WindowManagerImpl.
java:1960)
        at org.netbeans.core.windows.
WindowManagerImpl$TopComponentManager$DoRequest.run(WindowManagerImpl.java:1982)
        at org.netbeans.core.windows.WindowManagerImpl$TopComponentManager.
requestFocus(WindowManagerImpl.java:1699)
        at org.openide.windows.TopComponent.requestFocus(TopComponent.java:452)
        at org.netbeans.core.windows.frames.DefaultContainerImpl.
reactivateSelectedComponent(DefaultContainerImpl.java:1102)
        at org.netbeans.core.windows.frames.SplitContainerImpl.
componentFocusGained(SplitContainerImpl.java:1582)
        at org.netbeans.core.windows.frames.DefaultContainerImpl.
eventDispatched(DefaultContainerImpl.java:1282)
        at java.awt.Toolkit$SelectiveAWTEventListener.eventDispatched(Toolkit.
java:2118)
        at java.awt.Toolkit$ToolkitEventMulticaster.eventDispatched(Toolkit.
java:2012)
        at java.awt.Toolkit$ToolkitEventMulticaster.eventDispatched(Toolkit.
java:2011)
        at java.awt.Toolkit$ToolkitEventMulticaster.eventDispatched(Toolkit.
java:2011)
        at java.awt.Toolkit.notifyAWTEventListeners(Toolkit.java:1970)
        at java.awt.Component.dispatchEventImpl(Component.java:3554)
        at java.awt.Container.dispatchEventImpl(Container.java:1623)
        at java.awt.Component.dispatchEvent(Component.java:3480)
        at java.awt.KeyboardFocusManager.redispatchEvent(KeyboardFocusManager.
java:1688)
        at java.awt.DefaultKeyboardFocusManager.
typeAheadAssertions(DefaultKeyboardFocusManager.java:725)        at java.awt.
DefaultKeyboardFocusManager.dispatchEvent(DefaultKeyboardFocusManager.java:428)
        at java.awt.Component.dispatchEventImpl(Component.java:3509)
        at java.awt.Container.dispatchEventImpl(Container.java:1623)
        at java.awt.Component.dispatchEvent(Component.java:3480)
        at java.awt.EventQueue.dispatchEvent(EventQueue.java:450)
        at java.awt.EventDispatchThread.
pumpOneEventForHierarchy(EventDispatchThread.java:197)
        at java.awt.EventDispatchThread.
pumpEventsForHierarchy(EventDispatchThread.java:150)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:144)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:136)
        at java.awt.EventDispatchThread.run(EventDispatchThread.java:99)

Found 1 deadlock.
xxx@xxxx 2003-08-21

xxx@xxxx 2003-08-25

A comment.
Comment 1 Ana.von Klopp 2003-08-26 17:26:13 UTC
Radim had added a comment to the bugtraq entry but it 
appears to have been cut from the report. The problem is 
that the initialization of a Swing component cannot be run 
in non-AWT thread as described in http://java.sun.
com/docs/books/tutorial/uiswing/overview/threads.html. 

The code in question has actually already been changed for 
the multi-language release (I replaced the openide.awt.
splitpanel with the Swing split panel) and rewrote some of 
the code in the process. I will review all the code in the 
monitor to make sure that this does not happen there or 
anywhere else. 

Leave as P3 since this bug only happens very intermittently 
(we have not had another report).
Comment 2 Ana.von Klopp 2003-12-19 18:25:06 UTC
*** Issue 38236 has been marked as a duplicate of this issue. ***
Comment 3 Ana.von Klopp 2003-12-19 18:28:45 UTC
See entry in duplicate for error msg. 
Comment 4 Ana.von Klopp 2004-01-05 19:01:39 UTC
It appears that Petr fixed this one when he implemented the deployment 
on Tomcat 5. Thanks! 

Ana
Comment 5 Ana.von Klopp 2004-01-05 19:04:29 UTC
Created attachment 12700 [details]
Code changes


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo